# PHPのインストール


# EPELリポジトリの追加
execute 'repo1' do
  user "root"
  command "yum -y install epel-release"
  not_if "ls -l /etc/yum.repos.d/ | grep epel.repo"
end

# Remiリポジトリの追加
execute 'repo2' do
  user "root"
  command "yum -y install http://rpms.famillecollet.com/enterprise/remi-release-7.rpm"
  not_if "ls -l /etc/yum.repos.d/ | grep remi.repo"
end


# PHPインストール
%w(php php-gd php-intl php-json php-mysqlnd php-mbstring).each do |pkg|
  package pkg do
    action :install
    options "--enablerepo=remi-php71"
  end
end

#管理ツール phpMyAdminインストール
package 'phpMyAdmin' do
  action :install
  options  "--enablerepo=remi-php71"
end


#phpMyAdminのアクセス権限緩和

#バックアップ
execute 'phpMyAdmin.conf backup' do
  command 'cp /etc/httpd/conf.d/phpMyAdmin.conf /etc/httpd/conf.d/phpMyAdmin.conf.bu'
  not_if 'test -f /etc/httpd/conf.d/phpMyAdmin.conf.bu'
end

#変更
file '/etc/httpd/conf.d/phpMyAdmin.conf' do
  action :edit
  block do |content|
    content.gsub!("Require ip 127.0.0.1", "Require ip 127.0.0.1\n       Require ip 192.168.")
    content.gsub!("Allow from 127.0.0.1", "Allow from 127.0.0.1\n     Allow from 192.168.")
  end
  not_if "grep 'Require ip 192.168.' /etc/httpd/conf.d/phpMyAdmin.conf"
end


